/*Ebru Zorlu, zorlu.ebru@googlemail.com*/
#include "mandelbrotmenge.hpp"

double Mandelbrotmenge::calculate(const std::complex<double>& s) const { 
	using namespace std;
	double n = 0;
	double n_max = 50;
	double t = 4;
	complex<double> z = 0;

	while(abs(z) < t && n < n_max) {
		z = (z*z) + s;
		n = n + 1;
	}
	return 1 - (n / n_max);
}
